Bug 697421 - [RFE] Include additional character set aliases
Summary: [RFE] Include additional character set aliases
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Jeff Law
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Keywords: FutureFeature, Reopened, Triaged
Depends On:
Blocks: 607248 697422 756082
TreeView+ depends on / blocked
 
Reported: 2011-04-18 08:15 UTC by J.H.M. Dassen (Ray)
Modified: 2018-11-27 21:40 UTC (History)
5 users (show)

(edit)
Clone Of:
: 697422 (view as bug list)
(edit)
Last Closed: 2012-06-20 12:08:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0763 normal SHIPPED_LIVE glibc bug fix and enhancement update 2012-06-19 20:35:39 UTC

Description J.H.M. Dassen (Ray) 2011-04-18 08:15:51 UTC
2. What is the nature and description of the request?

the inclusion of the following aliases in the default
/usr/lib64/gconv/gconv-modules and /usr/lib/gconv/gconv-modules:

alias ISO-10646-UCS-2// UNICODE//
alias ISO-10646-UCS-2// ISO-10646/UTF8/

3. Why does the customer need this? (List the business requirements here)

The customer builds SMS systems.

Some mobile phones (e.g. Nokia 3560) use the ISO-10646-UCS-2 charset, if the OS
does not know this character set the message cannot be processed, and the
message is rejected. This will lead to the impossibility to send messages with
these handsets, resulting in upset end-users.

4. How would the customer like to achieve this? (List the functional
requirements here)

As proposed add lines to gconv-modules

5. For each functional requirement listed in question 4, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.

The output of "iconv --list | grep ISO-10646-UCS-2" should be non-empty.

6. Is there already an existing RFE upstream or in Red Hat bugzilla?

No.

7. How quickly does this need resolved? (desired target release)

ASAP

8. Does this request meet the RHEL Inclusion criteria (please review)

Yes.

9. List the affected packages

glibc

10. Would the customer be able to assist in testing this functionality if implemented?

Yes.

Comment 2 Andreas Schwab 2011-05-03 13:56:21 UTC
What is ISO-10646-UCS-2?

Comment 3 J.H.M. Dassen (Ray) 2011-05-03 14:51:49 UTC
(In reply to comment #2)
> What is ISO-10646-UCS-2?

An alias of "ISO-10646/UCS2/".

Quoting <http://en.wikipedia.org/wiki/UTF-16/UCS-2>:
	a similar character encoding that was superseded by UTF-16 in
	version 2.0 of the Unicode standard in July 1996.[2] It produces a
	fixed-length format by simply using the code point as the 16-bit
	code unit and produces exactly the same result as UTF-16 for 63,488
	code points in the range 0-0xFFFF, including all characters that had
	been assigned a value at that time.

See <http://en.wikipedia.org/wiki/Universal_Character_Set#Encoding_forms_of_the_Universal_Character_Set> as well.

Comment 4 Andreas Schwab 2011-05-10 15:54:23 UTC
What makes ISO-10646/UCS2/ so special that it requires a special name?

Comment 5 J.H.M. Dassen (Ray) 2011-05-10 16:24:42 UTC
"ISO-10646/UCS2/" is supported as a name for this particular character set
in at least RHEL[4-6].

If you meant to ask `what makes "ISO-10646-UCS-2/" so special that it
requires an alias?' instead, then this is covered in the original feature
request.

Having this alias shipped by default will make it possible for application
programmers that develop software which processes SMS messages from phones
like the Nokia 3560 and that relies on the OS's "iconv" mechanism for
character set translation to process such messages without having to arrange
for the gconv-modules configuration files to be modified.

Comment 6 Andreas Schwab 2011-05-11 07:19:58 UTC
The original feature request talks about ISO-10646/UTF8/.

Comment 11 errata-xmlrpc 2012-06-20 12:08:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0763.html


Note You need to log in before you can comment on or make changes to this bug.